/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "pinocchio", "index.html", [
    [ "Overview", "index.html", [
      [ "What is Pinocchio?", "index.html#OverviewIntro", null ],
      [ "How to install Pinocchio?", "index.html#OverviewInstall", null ],
      [ "Simplest example with compilation command", "index.html#OverviewSimple", [
        [ "Compiling and running your program", "index.html#OverviewSimpleCompile", null ],
        [ "Explanation of the program", "index.html#OverviewSimpleExplain", null ]
      ] ],
      [ "More complex example with C++ and Python", "index.html#OverviewComplex", [
        [ "Compiling and running your program", "index.html#OverviewComplexCompile", null ],
        [ "Explanation of the program", "index.html#OverviewComplexExplain", null ]
      ] ],
      [ "About Python wrappings", "index.html#OverviewPython", null ],
      [ "How to cite Pinocchio", "index.html#OverviewCite", [
        [ "Easy solution: cite our open access paper", "index.html#autotoc_md245", null ],
        [ "Citing the software package", "index.html#autotoc_md246", null ],
        [ "Citing the derivative algorithms", "index.html#autotoc_md247", null ]
      ] ],
      [ "Where to go from here?", "index.html#OverviewConclu", null ]
    ] ],
    [ "Porting from Pinocchio 1.3.3 to 2.0.0", "md_doc__porting.html", [
      [ "What is included", "md_doc__porting.html#PortingIntro", null ],
      [ "Changes in C++", "md_doc__porting.html#PortingC", [
        [ "Header-only", "md_doc__porting.html#PortingCHeaderonly", null ],
        [ "Namespace", "md_doc__porting.html#PortingCNamespace", null ],
        [ "Deprecated macros", "md_doc__porting.html#PortingCMacros", null ],
        [ "Method signatures", "md_doc__porting.html#PortingCSignature", null ]
      ] ],
      [ "Changes in Python", "md_doc__porting.html#PortingPython", [
        [ "Namespace", "md_doc__porting.html#PortingPythonNamespace", null ],
        [ "RobotWrapper", "md_doc__porting.html#PortingPythonRobotWrapper", null ]
      ] ]
    ] ],
    [ "Main features of Pinocchio", "md_doc_a-features_intro.html", "md_doc_a-features_intro" ],
    [ "Examples", "md_doc_b-examples_intro.html", "md_doc_b-examples_intro" ],
    [ "Build reduced model", "md_doc_b-examples_o-reduced-model.html", [
      [ "Python", "md_doc_b-examples_o-reduced-model.html#autotoc_md82", null ],
      [ "C++", "md_doc_b-examples_o-reduced-model.html#autotoc_md83", null ]
    ] ],
    [ "Mathematical formulation", "md_doc_c-maths_intro.html", "md_doc_c-maths_intro" ],
    [ "Practical Exercises", "md_doc_d-practical-exercises_intro.html", "md_doc_d-practical-exercises_intro" ],
    [ "Implementation / Technical details", "md_doc_e-implementation_intro.html", "md_doc_e-implementation_intro" ],
    [ "Benchmarks", "md_doc_f-benchmarks_intro.html", "md_doc_f-benchmarks_intro" ],
    [ "Success Stories", "md_doc_g-success-stories_intro.html", [
      [ "List of projects succesfully using pinocchio", "md_doc_g-success-stories_intro.html#autotoc_md244", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Cheat sheet", "cheatsheet.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"classpinocchio_1_1ForceDense.html#a6211fe3eff877b11f673b5fcb639f1e5",
"classpinocchio_1_1MotionDense.html#a6211fe3eff877b11f673b5fcb639f1e5",
"deprecated-namespaces_8hpp_source.html",
"md_doc_b-examples_h-inverse-geometry.html#autotoc_md59",
"namespacemembers_v.html",
"structpinocchio_1_1CartesianProductOperation.html#a4d88355f5e6577c151f204b08bfe857e",
"structpinocchio_1_1CodeGenDifference.html#add77ed65bec9ac59b0b12e3462f9f80a",
"structpinocchio_1_1ConstraintRevoluteUnalignedTpl.html#afd1b3fdc29c76126929716dfed2abf3a",
"structpinocchio_1_1GeometryData.html#abc5c98fcc1211af2b80116dd6e0a035dac59641d0b7afd6206e201ea0829e9bf5",
"structpinocchio_1_1JointDataRevoluteTpl.html#a26648b6e019c50ec052cb16766e4cc43",
"structpinocchio_1_1JointModelFreeFlyerTpl.html#aa3ffe487e183c527d905113707c3c3d4",
"structpinocchio_1_1JointModelTranslationTpl.html#a6b26305386eb934d6e496b82dd3ce7ae",
"structpinocchio_1_1MotionAlgebraAction_3_01MotionSphericalTpl_3_01Scalar_00_01Options_01_4_00_01MotionDerived_01_4.html",
"structpinocchio_1_1SE3GroupAction_3_01ConstraintRevoluteTpl_3_01Scalar_00_01Options_00_01axis_01_4_01_4.html#a5a13637f0c2068128ac4de0fe28b8fff",
"structpinocchio_1_1SpecialEuclideanOperationTpl_3_013_00_01__Scalar_00_01__Options_01_4.html#a3385943b7d3d0723b5988570e4f0512a",
"structpinocchio_1_1fusion_1_1JointVisitorBase.html#a1ab2080f2e18acd1ebf056550072697c",
"structpinocchio_1_1traits_3_01ForceTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#a021093e24e14e33bad4032834b1df4a9",
"structpinocchio_1_1traits_3_01JointRevoluteUnboundedUnalignedTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#adff26f82315cb3e4bf577f8ef4c8ae65",
"structpinocchio_1_1traits_3_01MotionTranslationTpl_3_01__Scalar_00_01__Options_01_4_01_4.html#a10bd251791b5a390e5bbefd86140b57f"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';